% Startup.m: Matlab Startup-Script sets the paths ...

% Windows Systems: Copy it to xx:\MatlabR11\work
% Unix's expect it in ~/matlab

% Copyright (c) 2001 by Fraunhofer-IGD
% $Revision: 1.0 $  $Date: 2001/07/12 $
%
% M.Arnold, 07/01
%
% Michael Arnold, arnold@igd.fhg.de

system_dependent DirChangeHandleWarn Never;
disp 'Hi Michael';		
disp 'Im adding serveral directories to the path.';

if isunix
   SourceRoot='~/docs/research/own-paper/DrDobbs';
else	
   % Use local disk drive
   SourceRoot = 'U:\docs\research\own-paper\DrDobbs';
end

% path to psycho acoustic model	 
myPath{1}                = '\PsychoAcoustic_MPEG_1_Layer_I_Matlab';
% current working directory 
myPath{length(myPath)+1} = '\';

for i = 1:length(myPath)
  if isunix
    addpath(strcat(SourceRoot,myPath{i}));
  else
    addpath(strcat(SourceRoot,strrep(myPath{i},'/','\')));
  end
end

disp ' ... done ';





